> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update File/ Folder

> Updates a single file or folder by ID



## OpenAPI

````yaml /api-reference/medias/openapi.json post /medias/{id}
openapi: 3.0.0
info:
  title: Media Storage API
  description: Documentation for Files API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Medias
    description: Documentation for Files API
paths:
  /medias/{id}:
    post:
      summary: Update File/ Folder
      description: Updates a single file or folder by ID
      operationId: update-media-object
      parameters:
        - name: Authorization
          in: header
          description: Access Token
          required: false
          schema:
            type: string
            example: Bearer 9c48df2694a849b6089f9d0d3513efe
        - name: id
          required: true
          in: path
          description: Unique identifier of the file or folder to update
          schema:
            type: string
          example: 686f9817f0d3165be9fbcef6
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateObject'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                example:
                  updated: true
                  traceId: 33a641a2-c4a6-4123-aa82-c5b84f1a14ee
      security:
        - Location-Access: []
components:
  schemas:
    UpdateObject:
      type: object
      properties:
        name:
          type: string
          description: New name for the file or folder
          example: Updated File Name.pdf
        altType:
          type: string
          description: Type of entity that owns the file or folder
          enum:
            - location
          example: location
        altId:
          type: string
          description: Location identifier that owns the file or folder
          example: sx6wyHhbFdRXh302LLNR
      required:
        - name
        - altType
        - altId

````